<?php 
	//forzando a un login exitoso siempre
	session_start();
	
	//si no se resivio el correo se regresa a la pagina anterior
	if(!isset($_POST['correo'])){
		header("Location: ../");
	}
	
	//se incluye la conexion a la base de datos
	include "conexion.php";
	//echo "despues de conexion";
	//se inicia sesion
	
	//consulta a la base de datos 
	$sql = "SELECT 
			    id_usuario,
			    tipo_usuario
			FROM
				tr_t_usuarios
			WHERE
			    correo = '$_POST[correo]'
			        AND pass = '$_POST[password]';";
	//die($sql);
	$res = mysqli_query($conexion, $sql) or die(mysqli_error($conexion));

	//si solo se encunetra un resultado significa login exitoso
	if( mysqli_num_rows($res) == 1 ){ //si el resultado da un solo resultado
		
		$linea = mysqli_fetch_array($res, MYSQLI_ASSOC);
		
		//print_r($linea);
			
		$_SESSION['id_usuario'] 		= $linea['id_usuario']; // de la tablala usuarios
		$_SESSION['tipo_usuario'] 		= $linea['tipo_usuario'];

		
		switch ($linea['tipo_usuario']) {
			case 'V':  //Visitante
				header('Location: ../en_vivo.php');
				break;				
			case 'A': //Administrador
				header('Location: ../registro_usuarios.php');
				break;
		}
		

	}else{//si da mas resultados o ninguno la consulta retorna error de autentificacion
		header('Location: ../?i=0');
	}
	
	mysqli_close($conexion);
 ?> 